
package org.virtualbox_6_0.jaxws;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for CloudProviderId.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="CloudProviderId">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Unknown"/>
 *     &lt;enumeration value="OCI"/>
 *     &lt;enumeration value="GCP"/>
 *     &lt;enumeration value="AWS"/>
 *     &lt;enumeration value="MicrosoftAzure"/>
 *     &lt;enumeration value="IBMCloud"/>
 *     &lt;enumeration value="DigitalOcean"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "CloudProviderId")
@XmlEnum
public enum CloudProviderId {

    @XmlEnumValue("Unknown")
    UNKNOWN("Unknown"),
    OCI("OCI"),
    GCP("GCP"),
    AWS("AWS"),
    @XmlEnumValue("MicrosoftAzure")
    MICROSOFT_AZURE("MicrosoftAzure"),
    @XmlEnumValue("IBMCloud")
    IBM_CLOUD("IBMCloud"),
    @XmlEnumValue("DigitalOcean")
    DIGITAL_OCEAN("DigitalOcean");
    private final String value;

    CloudProviderId(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static CloudProviderId fromValue(String v) {
        for (CloudProviderId c: CloudProviderId.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
