
package org.virtualbox_6_0.jaxws;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for CloudCommand.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="CloudCommand">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Unknown"/>
 *     &lt;enumeration value="createInstance"/>
 *     &lt;enumeration value="launchInstance"/>
 *     &lt;enumeration value="pauseInstance"/>
 *     &lt;enumeration value="stopInstance"/>
 *     &lt;enumeration value="deleteInstance"/>
 *     &lt;enumeration value="getInstance"/>
 *     &lt;enumeration value="listInstances"/>
 *     &lt;enumeration value="createImage"/>
 *     &lt;enumeration value="getImage"/>
 *     &lt;enumeration value="importImage"/>
 *     &lt;enumeration value="exportImage"/>
 *     &lt;enumeration value="deleteImage"/>
 *     &lt;enumeration value="updateImage"/>
 *     &lt;enumeration value="listImages"/>
 *     &lt;enumeration value="listNetworks"/>
 *     &lt;enumeration value="getNetwork"/>
 *     &lt;enumeration value="createNetwork"/>
 *     &lt;enumeration value="deleteNetwork"/>
 *     &lt;enumeration value="upateNetwork"/>
 *     &lt;enumeration value="getNetworkCard"/>
 *     &lt;enumeration value="updateNetworkCard"/>
 *     &lt;enumeration value="listNetworkCardAttachements"/>
 *     &lt;enumeration value="getNetworkCardAttachement"/>
 *     &lt;enumeration value="detachNetworkCard"/>
 *     &lt;enumeration value="attachNetworkCard"/>
 *     &lt;enumeration value="listSubnets"/>
 *     &lt;enumeration value="getSubnet"/>
 *     &lt;enumeration value="createSubnet"/>
 *     &lt;enumeration value="deleteSubnet"/>
 *     &lt;enumeration value="updateSubnet"/>
 *     &lt;enumeration value="listInternetGateways"/>
 *     &lt;enumeration value="getInternetGateway"/>
 *     &lt;enumeration value="createInternetGateway"/>
 *     &lt;enumeration value="deleteInternetGateway"/>
 *     &lt;enumeration value="updateInternetGateway"/>
 *     &lt;enumeration value="listRouteTables"/>
 *     &lt;enumeration value="getRouteTable"/>
 *     &lt;enumeration value="createRouteTable"/>
 *     &lt;enumeration value="deleteRouteTable"/>
 *     &lt;enumeration value="updateRouteTable"/>
 *     &lt;enumeration value="listShapes"/>
 *     &lt;enumeration value="uploadFile"/>
 *     &lt;enumeration value="downloadObject"/>
 *     &lt;enumeration value="deleteObject"/>
 *     &lt;enumeration value="getObject"/>
 *     &lt;enumeration value="listObjects"/>
 *     &lt;enumeration value="listBuckets"/>
 *     &lt;enumeration value="getNamespace"/>
 *     &lt;enumeration value="listRegions"/>
 *     &lt;enumeration value="listAvailabilityDomains"/>
 *     &lt;enumeration value="listCompartments"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "CloudCommand")
@XmlEnum
public enum CloudCommand {

    @XmlEnumValue("Unknown")
    UNKNOWN("Unknown"),
    @XmlEnumValue("createInstance")
    CREATE_INSTANCE("createInstance"),
    @XmlEnumValue("launchInstance")
    LAUNCH_INSTANCE("launchInstance"),
    @XmlEnumValue("pauseInstance")
    PAUSE_INSTANCE("pauseInstance"),
    @XmlEnumValue("stopInstance")
    STOP_INSTANCE("stopInstance"),
    @XmlEnumValue("deleteInstance")
    DELETE_INSTANCE("deleteInstance"),
    @XmlEnumValue("getInstance")
    GET_INSTANCE("getInstance"),
    @XmlEnumValue("listInstances")
    LIST_INSTANCES("listInstances"),
    @XmlEnumValue("createImage")
    CREATE_IMAGE("createImage"),
    @XmlEnumValue("getImage")
    GET_IMAGE("getImage"),
    @XmlEnumValue("importImage")
    IMPORT_IMAGE("importImage"),
    @XmlEnumValue("exportImage")
    EXPORT_IMAGE("exportImage"),
    @XmlEnumValue("deleteImage")
    DELETE_IMAGE("deleteImage"),
    @XmlEnumValue("updateImage")
    UPDATE_IMAGE("updateImage"),
    @XmlEnumValue("listImages")
    LIST_IMAGES("listImages"),
    @XmlEnumValue("listNetworks")
    LIST_NETWORKS("listNetworks"),
    @XmlEnumValue("getNetwork")
    GET_NETWORK("getNetwork"),
    @XmlEnumValue("createNetwork")
    CREATE_NETWORK("createNetwork"),
    @XmlEnumValue("deleteNetwork")
    DELETE_NETWORK("deleteNetwork"),
    @XmlEnumValue("upateNetwork")
    UPATE_NETWORK("upateNetwork"),
    @XmlEnumValue("getNetworkCard")
    GET_NETWORK_CARD("getNetworkCard"),
    @XmlEnumValue("updateNetworkCard")
    UPDATE_NETWORK_CARD("updateNetworkCard"),
    @XmlEnumValue("listNetworkCardAttachements")
    LIST_NETWORK_CARD_ATTACHEMENTS("listNetworkCardAttachements"),
    @XmlEnumValue("getNetworkCardAttachement")
    GET_NETWORK_CARD_ATTACHEMENT("getNetworkCardAttachement"),
    @XmlEnumValue("detachNetworkCard")
    DETACH_NETWORK_CARD("detachNetworkCard"),
    @XmlEnumValue("attachNetworkCard")
    ATTACH_NETWORK_CARD("attachNetworkCard"),
    @XmlEnumValue("listSubnets")
    LIST_SUBNETS("listSubnets"),
    @XmlEnumValue("getSubnet")
    GET_SUBNET("getSubnet"),
    @XmlEnumValue("createSubnet")
    CREATE_SUBNET("createSubnet"),
    @XmlEnumValue("deleteSubnet")
    DELETE_SUBNET("deleteSubnet"),
    @XmlEnumValue("updateSubnet")
    UPDATE_SUBNET("updateSubnet"),
    @XmlEnumValue("listInternetGateways")
    LIST_INTERNET_GATEWAYS("listInternetGateways"),
    @XmlEnumValue("getInternetGateway")
    GET_INTERNET_GATEWAY("getInternetGateway"),
    @XmlEnumValue("createInternetGateway")
    CREATE_INTERNET_GATEWAY("createInternetGateway"),
    @XmlEnumValue("deleteInternetGateway")
    DELETE_INTERNET_GATEWAY("deleteInternetGateway"),
    @XmlEnumValue("updateInternetGateway")
    UPDATE_INTERNET_GATEWAY("updateInternetGateway"),
    @XmlEnumValue("listRouteTables")
    LIST_ROUTE_TABLES("listRouteTables"),
    @XmlEnumValue("getRouteTable")
    GET_ROUTE_TABLE("getRouteTable"),
    @XmlEnumValue("createRouteTable")
    CREATE_ROUTE_TABLE("createRouteTable"),
    @XmlEnumValue("deleteRouteTable")
    DELETE_ROUTE_TABLE("deleteRouteTable"),
    @XmlEnumValue("updateRouteTable")
    UPDATE_ROUTE_TABLE("updateRouteTable"),
    @XmlEnumValue("listShapes")
    LIST_SHAPES("listShapes"),
    @XmlEnumValue("uploadFile")
    UPLOAD_FILE("uploadFile"),
    @XmlEnumValue("downloadObject")
    DOWNLOAD_OBJECT("downloadObject"),
    @XmlEnumValue("deleteObject")
    DELETE_OBJECT("deleteObject"),
    @XmlEnumValue("getObject")
    GET_OBJECT("getObject"),
    @XmlEnumValue("listObjects")
    LIST_OBJECTS("listObjects"),
    @XmlEnumValue("listBuckets")
    LIST_BUCKETS("listBuckets"),
    @XmlEnumValue("getNamespace")
    GET_NAMESPACE("getNamespace"),
    @XmlEnumValue("listRegions")
    LIST_REGIONS("listRegions"),
    @XmlEnumValue("listAvailabilityDomains")
    LIST_AVAILABILITY_DOMAINS("listAvailabilityDomains"),
    @XmlEnumValue("listCompartments")
    LIST_COMPARTMENTS("listCompartments");
    private final String value;

    CloudCommand(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static CloudCommand fromValue(String v) {
        for (CloudCommand c: CloudCommand.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
