
package org.virtualbox_6_0.jaxws;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for CloudCommandResult.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="CloudCommandResult">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="unknown"/>
 *     &lt;enumeration value="success"/>
 *     &lt;enumeration value="failed"/>
 *     &lt;enumeration value="inProgress"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "CloudCommandResult")
@XmlEnum
public enum CloudCommandResult {

    @XmlEnumValue("unknown")
    UNKNOWN("unknown"),
    @XmlEnumValue("success")
    SUCCESS("success"),
    @XmlEnumValue("failed")
    FAILED("failed"),
    @XmlEnumValue("inProgress")
    IN_PROGRESS("inProgress");
    private final String value;

    CloudCommandResult(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static CloudCommandResult fromValue(String v) {
        for (CloudCommandResult c: CloudCommandResult.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
